Constantin Saulenco Constantin Saulenco - 1 month ago 5x
iOS Question

can't select proper iOS version for simulator

After installing iOS 8.4 simulator for xCode 7.3 i get this strange behaviour. How can I fix it? There is no way to select the proper iOS version for simulator.

simulator list

the fastest solution is to install snapshot

  • sudo gem install snapshot

  • snapshot reset_simulators

    this will reset to your default simulators


Xcode uses device versions for prevention of ambiguity which have same name. So if more than one device have same name and version number then it will show the device's udid. So, you should delete duplicate devices from Windows>Devices in Xcode. You can delete or rename your devices.

You can catch it from this path : ~/Library/Developer/CoreSimulator/Devices

You can refer This SO Post or This SO Post